Header Only - DO NOT REMOVE - Extreme Networks

Request: V9.x: IPv6 support for Bridge at Wireless Controller


Userlevel 1
I would like to request a backport for "IPv6 support for Bridge at Wireless Controller" for version 9.x
Reason:

- We have hundreds of AP36xx access points which will not run version 10.x but they at least run until their offical end of support date in year 2018. And as those devices are 802.11n with MIMO3x3:3 they are still good!

- According to http://www.excivity.com/ComputeCycle/late-ipv6-at-shmoocon-but-why/

"We were offered the Alpha 8.31 code from engineering, but we decided
that might be a bit risky."

=> IPv6 support for Bridge at Wireless Controller seemed to be already in early 8.31 versions.

- According to the release notes of version 10.11.01.0210 there was a "Minor Feature Release"

"Users with Bridged at Controller deployment: Before upgrade, Bridged at Controller denied all IPv6 traffic (unicast and multicast). After upgrading to V10.11.02, ALL IPv6 unicast traffic and multicast RS/NS/NA traffic will be allowed. All other multicast traffic will be denied."

=> So, IPv6 traffic was simply denied on controller with versions before 10.11.
=> IPv6 support was already there.
=> Could you please activate IPv6 traffic passthrough for version 9.x on controller aswell?

4 replies

Userlevel 7
Sorry but I'm pretty sure that will never happen - the version is feature ready (I think that is the right term) = no more features are added.
Userlevel 4
Ron is correct; V9.21 is feature complete therefore no new features are planned for that code branch. The new IPv6 enhancements introduced in V10.11 required a major engineering effort, including but not limited to a new 64-bit OS distribution, new TCP/IP stack, policy enhancements, etc that cannot be back ported to V9.X.

Thanks,

Will
Userlevel 1
Ok, thanks for the information.
As mentioned within the releases notes: "Before upgrade, Bridged at Controller denied all IPv6 traffic (unicast and multicast)" May I ask how this is accomplished? Is there any "deny IPv6 from any to any" within some config line? If it exist, I ́d like to remove those limits and test whether it is possible at all to get IPv6 connectivy for the clients in a bridge@controller setup.
n.n. n.n. wrote:

Ok, thanks for the information.
As mentioned within the releases notes: "Before upgrade, Bridged at Controller denied all IPv6 traffic (unicast and multicast)" May I ask how this is accomplished? Is there any "deny IPv6 from any to any" within some config line? If it exist, I ́d like to remove those limits and test whether it is possible at all to get IPv6 connectivy for the clients in a bridge@controller setup.

I don't think it's a config line, it's probably inherent to the controller bridge (which is in-kernel) only understanding IPv4.

Reply